# zsh-config
This is my personal zsh configuraton.

### Requirements
* [exa](https://github.com/ogham/exa) (optional) - better ls
* [bat](https://github.com/sharkdp/bat) (optional) - better cat, less, man, etc.

### Installation
1. Clone this repo
2. Create a `.zshrc` and fill it with something like this:
 > ZSH_CONFIG_DIR="path/to/this/repo"  
 > source "${ZSH_CONFIG_DIR}/init.zsh}"
3. Optionally, set some other variables (before the `source` line):
 * ZSH_BOOKMARK_DIR: Bookmark directory (default: ~/.cache/zsh/bookmarks) 
 * ZSH_BOOKMARK_LS: If true, run `ls` after jumping to a bookmark
